slasrt.f(3)

NAME
slasrt.f -

SYNOPSIS

  Functions/Subroutines
subroutine slasrt (ID, N, D, INFO)
SLASRT sorts numbers in increasing or decreasing order.

Function/Subroutine Documentation

  subroutine slasrt (characterID, integerN, real, dimension( * )D, integerINFO)

SLASRT sorts numbers in increasing or decreasing order.

Purpose:

     Sort the numbers in D in increasing order (if ID = 'I') or
     in decreasing order (if ID = 'D' ).
     Use Quick Sort, reverting to Insertion sort on arrays of
     size <= 20. Dimension of STACK limits N to about 2**32.

Parameters:
    ID

              ID is CHARACTER*1
              = 'I': sort D in increasing order;
              = 'D': sort D in decreasing order.

    N

              N is INTEGER
              The length of the array D.

    D

              D is REAL array, dimension (N)
              On entry, the array to be sorted.
              On exit, D has been sorted into increasing order
              (D(1) <= ... <= D(N) ) or into decreasing order
              (D(1) >= ... >= D(N) ), depending on ID.

    INFO

              INFO is INTEGER
              = 0:  successful exit
              < 0:  if INFO = -i, the i-th argument had an illegal value

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 89 of file slasrt.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.